#import <Security/Security.h>

@interface SSKeychain : NSObject {
}

+ (NSArray*)internetAccountsForHost:(NSString*)host ;
	// If none found, returns empty array
	// If fails to complete search, returns nil
+ (NSArray*)internetAccountsForHostLike:(NSString*)host ;
	// Same as above, except tries with "www." prefix if missing
	// in 'host' and tries without "www." prefix if present 
+ (BOOL)addInternetPassword:(NSString*)password
				   username:(NSString*)username
						url:(NSURL*)url
					 orHost:(NSString*)host
					 domain:(NSString*)domain ;
+ (NSString*)internetPasswordUsername:(NSString*)username
								 host:(NSString*)host
							   domain:(NSString*)domain
					  keychainitemRef:(SecKeychainItemRef*)itemRef ;
	// If username = nil, will return a password for the first account
	// found for host and domain.
	// If username is non-nil and password for given host and domain
	// is not found, will return nil.
	// If password is not found for "host", will
	// try to add or remove (as applicable) the prefix "www."
	// and try again
+ (BOOL)changeKeychainItemRef:(SecKeychainItemRef)itemRef
				  newPassword:(NSString*)password ;

// In these methods, the argument 'host' will be matched to strings
// in the "Where" field of the inspector in Keychain Access


@end
